Loading...
Searching...
No Matches
Opm::BinaryCoeff::Air_Xylene Class Reference

Binary coefficients for water and xylene. More...

`#include <Air_Xylene.hpp>`

## Static Public Member Functions

template<class Evaluation>
static Evaluation | henry (const Evaluation &)
template<class Evaluation>
static Evaluation | gasDiffCoeff (Evaluation temperature, Evaluation pressure)
| Binary diffusion coefficent [m^2/s] for air and xylene.
template<class Evaluation>
static Evaluation | liquidDiffCoeff (const Evaluation &, const Evaluation &)
| Diffusion coefficent [m^2/s] for molecular xylene in liquid water.

## Detailed Description

Binary coefficients for water and xylene.

## Member Function Documentation

## gasDiffCoeff()

template<class Evaluation>

Evaluation Opm::BinaryCoeff::Air_Xylene::gasDiffCoeff | ( | Evaluation | temperature,
|  | Evaluation | pressure )

inline static

Binary diffusion coefficent [m^2/s] for air and xylene.

method according to Wilke and Lee see Handbook of chem. property's Estimation Methods W.J. Lyman, W.F. Reehl, D.H. Rosenblatt

## liquidDiffCoeff()

template<class Evaluation>

Evaluation Opm::BinaryCoeff::Air_Xylene::liquidDiffCoeff | ( | const Evaluation & | ,
|  | const Evaluation & | )

inline static

Diffusion coefficent [m^2/s] for molecular xylene in liquid water.

Todo

The documentation for this class was generated from the following file:

- opm/material/binarycoefficients/Air_Xylene.hpp